laurentsd
VMware Employee
VMware Employee

plugin seed 1.0.0 released

The latest version of plugin seed is available in the download area of the fling site vSphere HTML5 Web Client

Version 1.0.0 is now based on SDK 6.7, using the new Javascript APIs. It allows to build plugins for vSphere Client 6.5u2 and 6.7 but it is no longer compatible with the vSphere Flex Client.

It also uses Angular 6 and Angular-CLI 6.  There are many other changes, please see the change log if you were already using an older version.

5 Replies
wodge
Enthusiast
Enthusiast

Great stuff - good work by the team there. Looking forward to using this 🙂
0 Kudos
kumartade
Enthusiast
Enthusiast

laurentsd​ Are there any plans to release a plugin seed with latest clarity(1.x) and angular(6+) with vCenter 6.5U2 support(using new JS APIs)?

0 Kudos
laurentsd
VMware Employee
VMware Employee

hi Kumar, the SDK team is busy with new features so I don't think we'll have an upgrade of plugin-seed soon.  But if the community wants to contribute we're happy to take in contributions 🙂

kumartade
Enthusiast
Enthusiast

Please provide a plugin seed with latest angular(8.x) and clarity(2.x) which supports dev mode and unit test for local plugin.

This will help many vendors to use latest JS APIs with new stack.

0 Kudos
kumartade
Enthusiast
Enthusiast

Globally i installed Node 6.13.0 and npm 5.3.0.

I had done the npm cache clean up as well.

I'm getting the following error :

C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui

λ ng serve

Schema validation failed with the following errors:

  Data path "" should NOT have additional properties(project).

Error: Schema validation failed with the following errors:

  Data path "" should NOT have additional properties(project).

    at BaseException (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\@angular-devkit\core\src\exception\exception.js:12:9)

    at SchemaValidationException (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\@angular-devkit\core\src\json\schema\registry.js:25:9)

    at MergeMapSubscriber._registry.compile.pipe.operators_1.concatMap.validatorResult [as project] (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\@angular-devkit\core\src\workspace\workspace.js:173:42)

    at MergeMapSubscriber._tryNext (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\rxjs\internal\operators\mergeMap.js:65:27)

    at MergeMapSubscriber._next (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\rxjs\internal\operators\mergeMap.js:55:18)

    at MergeMapSubscriber.Subscriber.next (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\rxjs\internal\Subscriber.js:64:18)

    at MergeMapSubscriber.notifyNext (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\rxjs\internal\operators\mergeMap.js:84:26)

    at InnerSubscriber._next (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\rxjs\internal\InnerSubscriber.js:25:21)

    at InnerSubscriber.Subscriber.next (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\rxjs\internal\Subscriber.js:64:18)

    at MapSubscriber._next (C:\Users\kumart\Downloads\plugin-seed-1.0.0\seed-ui\node_modules\rxjs\internal\operators\map.js:52:26)

Here is the ng -v output at project home

λ ng -v

Angular CLI: 6.0.8

Node: 6.13.0

OS: win32 x64

Angular: 6.0.9

... animations, common, compiler, compiler-cli, core, forms

... http, platform-browser, platform-browser-dynamic

... platform-server, router

Package                           Version

-----------------------------------------------------------

@angular-devkit/architect         0.6.8

@angular-devkit/build-angular     0.6.8

@angular-devkit/build-optimizer   0.6.8

@angular-devkit/core              0.6.8

@angular-devkit/schematics        0.6.8

@angular/cli                      6.0.8

@angular/tsc-wrapped              4.4.6

@ngtools/webpack                  6.0.8

@schematics/angular               0.6.8

@schematics/update                0.6.8

rxjs                              6.2.2

typescript                        2.7.2

webpack                           4.8.3

λ ng -v
     _                      _                 ____ _     ___    / \   _ __   __ _ _   _| | __ _ _ __     / ___| |   |_ _|   / △ \ | '_ \ / _` | | | | |/ _` | '__|   | |   | |    | |  / ___ \| | | | (_| | |_| | | (_| | |      | |___| |___ | | /_/   \_\_| |_|\__, |\__,_|_|\__,_|_|       \____|_____|___|                |___/

Angular CLI: 6.0.8Node: 6.13.0OS: win32 x64Angular: 6.0.9... animations, common, compiler, compiler-cli, core, forms... http, platform-browser, platform-browser-dynamic... platform-server, router
Package                           Version-----------------------------------------------------------@angular-devkit/architect         0.6.8@angular-devkit/build-angular     0.6.8@angular-devkit/build-optimizer   0.6.8@angular-devkit/core              0.6.8@angular-devkit/schematics        0.6.8@angular/cli                      6.0.8@angular/tsc-wrapped              4.4.6@ngtools/webpack                  6.0.8@schematics/angular               0.6.8@schematics/update                0.6.8rxjs                              6.2.2typescript                        2.7.2webpack                           4.8.3

0 Kudos